Bug 1400395 - Memory leak in client-side background heals.
Summary: Memory leak in client-side background heals.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Ravishankar N
QA Contact: nchilaka
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-12-01 05:12 UTC by Ravishankar N
Modified: 2017-03-23 05:53 UTC (History)
4 users (show)

Fixed In Version: glusterfs-3.8.4-7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 05:53:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Ravishankar N 2016-12-01 05:12:18 UTC
Description of problem:
A community user found the issue in BZ 1399592. When the client side background heal queue is full, we were not freeing up the frames that we created for queuing in the heal.

Comment 2 Ravishankar N 2016-12-01 05:35:27 UTC
Downstream patch https://code.engineering.redhat.com/gerrit/#/c/91823/

Comment 6 nchilaka 2017-02-13 09:23:04 UTC
I have verified on 3.8.4-14
on both cifs mount and fuse mount
didn't find any leak
hence moving to verified

Comment 8 errata-xmlrpc 2017-03-23 05:53:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.